## com.baidubce.services.sms.model
Class SmsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.sms.model.SmsRequest

Direct Known Subclasses:
  CreateTemplateRequest, GetTemplateDetailRequest, QueryMessageDetailRequest, SendMessageRequest, StatReceiverRequest

    public class SmsRequest

extends AbstractBceRequest

The base class of all SMS request

Constructor Summary
`SmsRequest()`

Method Summary
`BceCredentials` `getRequestCredentials()` Returns the optional credentials to use to sign this request, overriding the default credentials set at the client level.
`void` `setRequestCredentials(BceCredentials credentials)` Sets the optional credentials to use for this request, overriding the default credentials set at the client level.
`SmsRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmsRequest

    public SmsRequest()

Method Detail

### withRequestCredentials

    public SmsRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### getRequestCredentials

    public BceCredentials getRequestCredentials()

  Description copied from class: `AbstractBceRequest`
  Returns the optional credentials to use to sign this request, overriding the default credentials set at the client level.

  Overrides:
    `getRequestCredentials` in class `AbstractBceRequest`
  Returns:
    The optional credentials to use to sign this request, overriding the default credentials set at the client level.

### setRequestCredentials

    public void setRequestCredentials(BceCredentials credentials)

  Description copied from class: `AbstractBceRequest`
  Sets the optional credentials to use for this request, overriding the default credentials set at the client level.

  Overrides:
    `setRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - The optional BCE security credentials to use for this request, overriding the default credentials set at the client level.

Copyright © 2016. All rights reserved.